<%-- input_text tag --%>
<%@ tag pageEncoding="UTF-8" body-content="empty"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@ taglib uri="http://www.jasminesoft.co.jp/jfc" prefix="jfc" %>
<%@ taglib tagdir="/WEB-INF/tags" prefix="tags" %>
<fmt:setBundle basename="jfcapp"/>

<%@ attribute name="value" required="true" type="java.lang.Object" %> <%-- ${TemplateModel_p.FDate} --%>
<%@ attribute name="name" required="true" %> <%-- TemplateModel_p$002ff_date --%>
<%@ attribute name="isOutputFieldClass" type="java.lang.Boolean" %>
<%@ attribute name="fieldClassSuffix" %>
<%@ attribute name="type" required="true" %>
<%@ attribute name="size" %>
<%@ attribute name="bytesize" %>
<%@ attribute name="maxlength" %>
<%@ attribute name="autocomplete" %>
<%@ attribute name="isReadonly" type="java.lang.Boolean" %>
<%@ attribute name="onchange" %>
<%@ attribute name="imeMode" %>
<%@ attribute name="enterKeyAction" %>
<%@ attribute name="isNormalizeDate" type="java.lang.Boolean" %>
<%@ attribute name="subformat" %> <%-- common.js formatDateObject function --%>
<%@ attribute name="subformatnowrap" %>
<%@ attribute name="isCalendarinput" type="java.lang.Boolean" %>
<%@ attribute name="calendarinputDateFormat" %>
<%@ attribute name="calendarinputButtonType" %>
<%@ attribute name="calendarinputButtonTypeImageSrc" %>
<%@ attribute name="checkAcceptFileExt" %>
<%@ attribute name="checkAcceptFileMinSize" %>
<%@ attribute name="checkAcceptFileMaxSize" %>
<%@ attribute name="onblur" %>
<%@ attribute name="numberformat" %>
<%@ attribute name="dateformat" %>
<%@ attribute name="timeSelectInput" %>
<%@ attribute name="style" %>
<%@ attribute name="isMobile" type="java.lang.Boolean" %>
<%@ attribute name="isSmartPhone" type="java.lang.Boolean" %>
<%@ attribute name="tooltip" %>
<%@ attribute name="placeholder" %>
<%@ attribute name="cursorPosition" %>
<%@ attribute name="isRequired" type="java.lang.Boolean" %>
<%@ attribute name="constraints" %>
<%@ attribute name="regExp" %>
<%@ attribute name="multipleFile" type="java.lang.Boolean" %>
<%@ attribute name="fileinputType" %>
<%@ attribute name="tabIndex" %>
<%@ attribute name="fileuploadurl" %>

<c:choose>
<c:when test="${type == 'file'}">
<c:if test="${empty multipleFile}">
<c:set var="multipleFile" value="${false}"/>
</c:if>

<tags:src_input_file
    value="${value}"
    name="${name}"
    isOutputFieldClass="${isOutputFieldClass}"
    fieldClassSuffix="${fieldClassSuffix}"
    type="${type}"
    size="${size}"
    maxlength="${maxlength}"
    autocomplete="${autocomplete}"
    isReadonly="${isReadonly}"
    onchange="${onchange}"
    enterKeyAction="${enterKeyAction}"
    onblur="${onblur}"
    style="${style}"
    tooltip="${tooltip}"
    placeholder="${placeholder}"
    cursorPosition="${cursorPosition}"
    multipleFile="${multipleFile}"
    checkAcceptFileExt="${checkAcceptFileExt}"
    checkAcceptFileMinSize="${checkAcceptFileMinSize}"
    checkAcceptFileMaxSize="${checkAcceptFileMaxSize}"
    fileinputType="${fileinputType}"
    fileuploadurl="${fileuploadurl}" />
</c:when> <%-- ${type == 'file'} --%>

<c:otherwise>
<c:set var="enabled_subformat"
  value="${fn:length(subformat) > 0 && fn:length(onblur) == 0 }"/>
<c:if test="${enabled_subformat}">
  <c:set var="onchange">changeSubformatDisplay(this,'${name}__subformat','${subformat}');${onchange}</c:set>
</c:if>

<c:choose>
<c:when test="${!isMobile}">

<c:choose>
<c:when test="${fn:contains(dateformat, ' ')}">

<tags:input_dateTimeTextBox
    value="${value}"
    name="${name}"
    onchange="${onchange}"
    onkeydown="${onkeydown}"
    dateformat="${dateformat}"
	timeSelectInput="${timeSelectInput}"
    tooltip="${tooltip}"
    isRequired="${isRequired}"
    tabIndex="${tabIndex}"
/>

</c:when>
<c:otherwise>

<tags:src_input_text
    value="${value}"
    name="${name}"
    isOutputFieldClass="${isOutputFieldClass}"
    fieldClassSuffix="${fieldClassSuffix}"
    type="${type}"
    size="${size}"
    bytesize="${bytesize}"
    maxlength="${maxlength}"
    autocomplete="${autocomplete}"
    isReadonly="${isReadonly}"
    onchange="${onchange}"
    imeMode="${imeMode}"
    enterKeyAction="${enterKeyAction}"
    isNormalizeDate="${isNormalizeDate}"
    onblur="${onblur}"
    dateformat="${dateformat}"
    numberformat="${numberformat}"
    style="${style}"
    isSmartPhone="${isSmartPhone}"
    tooltip="${tooltip}"
    placeholder="${placeholder}"
    cursorPosition="${cursorPosition}"
    isCalendarinput="${isCalendarinput}"
    calendarinputButtonType="${calendarinputButtonType}"
    isRequired="${isRequired}"
    constraints="${constraints}"
    regExp="${regExp}"
    tabIndex="${tabIndex}"
/>

</c:otherwise>
</c:choose>

</c:when>
<c:otherwise>
<tags:src_input_textMobile
    value="${value}"
    name="${name}"
    isOutputFieldClass="${isOutputFieldClass}"
    fieldClassSuffix="${fieldClassSuffix}"
    type="${type}"
    size="${size}"
    maxlength="${maxlength}"
    autocomplete="${autocomplete}"
    isReadonly="${isReadonly}"
    onchange="${onchange}"
    imeMode="${imeMode}"
    enterKeyAction="${enterKeyAction}"
    isNormalizeDate="${isNormalizeDate}"
    onblur="${onblur}"
    dateformat="${dateformat}"
    numberformat="${numberformat}"
    style="${style}"
    tooltip="${tooltip}"
    placeholder="${placeholder}"
    cursorPosition="${cursorPosition}"
    isCalendarinput="${isCalendarinput}"
    calendarinputButtonType="${calendarinputButtonType}"
    isRequired="${isRequired}"
    constraints="${constraints}"
    regExp="${regExp}"
/>
</c:otherwise>
</c:choose>

<c:if test="${enabled_subformat && type != 'hidden'}">
  <tags:src_input_subformat
      value="${value}"
      name="${name}"
      subformat="${subformat}" nowrap="${subformatnowrap}"/>
</c:if>
</c:otherwise>
</c:choose>
