define({
  root: {
	/* common.js */
	BUTTON_CLOSE: "閉じる",
    BUTTON_DELETE: "削除",
    BUTTON_CANCEL: "キャンセル",
    BUTTON_SAVE: "保存",
    BUTTON_OK: "OK",
    BUTTON_COPY: "コピー",
    BUTTON_DETAIL: "詳細",
	FORMAT_DATE_YOUBI: "曜日",

	ERROR_MSG_CODE: "コード",
	ERROR_MSG_HISSU_1: "「内容」は必須項目です。",
	ERROR_MSG_HISSU_2: "次のコード値に対応する「内容」に値を指定してください。",
	ERROR_MSG_INTERNAL_ERROR: "内部サーバーエラーが発生しました。",

	EXCEPTION_MSG_UNEXPECTED: "予期しない値です。",
    EXCEPTION_MSG_FORM_MISSING: "formが取得できませんでした",

	EXCEPTION_MSG_CANTGET_YEAR: "西暦を取得できません。",
	EXCEPTION_MSG_ILLEGAL_MONTH: "不正な月です。",
	EXCEPTION_MSG_ILLEGAL_DATE: "不正な日です。",
	EXCEPTION_MSG_ILLEGAL_MONTH_OR_DATE: "不正な月または日です。",
	EXCEPTION_MSG_ILLEGAL_MONTHDATE: "不正な月日です。",
	EXCEPTION_MSG_ILLEGAL_TIME_OR_MINUTE_OR_SECOND: "不正な時または分または秒です。",
	EXCEPTION_MSG_ILLEGAL_TIMEMINUTESECOND: "不正な時分秒です。",
	EXCEPTION_MSG_UNMATCHED: "日付に完全一致しないです。",
    EXCEPTION_MSG_CAMERA_FAILED: "カメラが起動できませんでした。",

    WARN_MSG_ZIPCODE_NOT_EXIST: "入力された郵便番号は存在しません。",
    WARN_MSG_SESSION_TIMEOUT: "しばらく操作されなかったため自動ログオフされました。\n再ログオンしてください。",

    INFO_MSG_SELECT_BATCH_TARGET: "一括処理対象のデータを選択してください。",

	/* insertJfcflowSettingC1.js */
	/* copyJfcflowSettingC1.js */
	/* updateJfcflowSettingC1.js */
	FLOW_PATTERN_NAME: "フローパターン名",
	NODE_NAME: "ノード名",
    DIAGRAM_TITLE: "フロー参加者",
    SEQUENCE_NODE_NAME: "順次",
    CONSULTATION_NODE_NAME: "合議",
	ERROR_MSG_NO_COMMA_FOR_NODE: "● ノード名にカンマ（,）は入力できません",
	ERROR_MSG_CONFIRM: "入力データに不備があります。以下のメッセージを確認してください。",
	ERROR_MSG_REQUIRE: "● 次の要素は必須項目となっています。",

	/* jfcparticipantSettingUtil.js */
	ERROR_MSG_SET_PARTICIPANT: "フロー参加者、フロー参加グループ名はいずれか一方を指定するようにしてください。",

	/* changePassword.js */
	WARNING_KEEP_PASSWORD: "パスワードは入力されていないため、現行のパスワード情報がそのまま利用されます。",

	/* showListLog.js */
	TIP_MSG_INPUT_DATE: "yyyy-MM-dd 形式で入力して下さい。(yyyy は西暦、MM は月、dd は日です)",

    /* checkbox toggle button tooltip */
    CHECK_ALL: "全てチェック",
    UNCHECK_ALL: "全てクリア",

    CONFIRM_DELETE: "このデータを削除します。よろしいですか？",

    /* file upload */
    BUTTON_FILE_SINGLE: "ファイルを選択",
    BUTTON_FILE_MULTIPLE: "複数ファイルを選択",
	ERROR_MSG_SOME_FILES: "複数ファイルを指定できません",
	ERROR_SAVE_LATER: "ファイルのアップロード中です。アップロード後再度行ってください。",
    ERROR_CHECK_FILEMINSIZE: "以下のサイズ以上のファイルである必要があります。",
    ERROR_CHECK_FILEMAXSIZE: "以下のサイズ以下のファイルである必要があります。",
    ERROR_UNAUTHORIZED_FILEUPLOAD: "しばらく操作されなかったため自動ログオフされました。\n再ログオンしてください。",
    ERROR_UNKNWON_FILEUPLOAD: "ファイルのアップロードに失敗しました。",

    /* modern calendar dialog */
    LABEL_CALENDAR_DIALOG_MODELNAME: "モデル",
    LABEL_CALENDAR_DIALOG_TITLE: "タイトル",
    LABEL_CALENDAR_DIALOG_STARTDATETIME: "開始日時",
    LABEL_CALENDAR_DIALOG_ENDDATETIME: "終了日時",
    LABEL_CALENDAR_DIALOG_ALLDAYFLAG: "終日",
    LABEL_CALENDAR_DIALOG_STAFF: "担当者",
    LABEL_CALENDAR_DIALOG_PLACE: "場所",
    LABEL_CALENDAR_DIALOG_URL: "URL",
    LABEL_CALENDAR_DIALOG_MEMO: "備考",
    LABEL_CALENDAR_DIALOG_BTN_SHOW: "詳細画面表示",
    LABEL_CALENDAR_DIALOG_BTN_UPDATE: "更新画面表示",
    LABEL_CALENDAR_DIALOG_BTN_INSERT: "新規登録画面表示",
    LABEL_CALENDAR_NEW_REGISTRATION: "新規登録",
    ERROR_MSG_DELETE_CALENDAR_ITEM: "カレンダデータの削除に失敗しました",

    LABEL_SHOWLIST_CHOICE: "選択",
    LABEL_UPDATELIST_DELETE: "削除",
    LABEL_UPDATELIST_STATUS: "ステータス",
    LABEL_UPDATELIST_RESULTDIALOG_OK: "一覧表示画面へ戻る",
    LABEL_UPDATELIST_RESULTDIALOG_CANCEL: "一覧更新を継続する",
    LABEL_UPDATELIST_NEW_BUTTON: "新規",
    LABEL_UPDATELIST_COPY_BUTTON: "コピー",
    LABEL_UPDATELIST_CLEAR_BUTTON: "クリア",
    LABEL_UPDATELIST_SEARCH_BUTTON: "検索...",
    INFO_MSG_UPDATELIST_NEW: "新規",
    INFO_MSG_UPDATELIST_COPY: "コピー",
    INFO_MSG_UPDATELIST_UPDATE: "編集有",
    ERROR_MSG_UPDATELIST_LOCKERROR: "ロック失敗",
    ERROR_MSG_UPDATELIST_ERROR: "エラー",
    CONFIRM_MSG_UPDATELIST_SAVE: "入力エラーデータは無視して保存します。<br>よろしいですか？",

    /* grid */
    ERROR_MSG_GET_GRID_SETTINGS: "グリッド設定取得時にエラーが発生しました",
    ERROR_MSG_SET_GRID_SETTINGS: "グリッド設定保存時にエラーが発生しました",
    INFO_MSG_SAVE_GRID_SETTINGS_SUCCESS: "グリッド設定が保存されました",
    INFO_MSG_DELETE_GRID_SETTINGS_SUCCESS: "グリッド設定が削除されました",
    LABEL_CLEAR_GRID_SETTING: "グリッド設定をクリア",
    LABEL_BTN_SAVE_GRID_SETTING: "保存",
    LABEL_BTN_DELETE_GRID_SETTING: "削除",

    /* Google Map */
    LABEL_TOTAL_DISTANCE: "合計距離",
    LABEL_SQUARE_METER: "平方メートル",
    LABEL_SQUARE_KILOMETER: "平方キロメートル",
    LABEL_TOTAL_AREA: "総面積",

    TITLE_SCRIPT_EDITOR: "スクリプトエディタ",
    CONFIRM_MSG_SCRIPT_EDITOR: "変更を破棄してスクリプトエディタを閉じますか？",

    /* jfcjobschedule */
    LABEL_JFCJOBSCHEDULE_DIALOG_CHKANYTIME: "任意の時間を指定(全範囲を許容)",
    LABEL_JFCJOBSCHEDULE_DIALOG_TIMETYPESPECIFIC: "特定のタイミング",
    LABEL_JFCJOBSCHEDULE_DIALOG_CHKONLYWEEKDAYS: "平日のみ(土日を除く)",
    LABEL_JFCJOBSCHEDULE_DIALOG_CHKUSEWEEKNUMBER: "週の指定を行う",
    LABEL_JFCJOBSCHEDULE_DIALOG_WEEKNUMBER_PREFIX: "第",
    LABEL_JFCJOBSCHEDULE_DIALOG_WEEKNUMBER_SUFFIX: "週",
    LABEL_JFCJOBSCHEDULE_DIALOG_TIMETYPEINTERVAL: "インターバル",
    LABEL_JFCJOBSCHEDULE_DIALOG_TIMETYPE_DURATION: "期間(範囲)指定",
    LABEL_JFCJOBSCHEDULE_DIALOG_UNIT_SECOND: "秒",
    LABEL_JFCJOBSCHEDULE_DIALOG_UNIT_MINUTE: "分",
    LABEL_JFCJOBSCHEDULE_DIALOG_UNIT_HOUR: "時",
    LABEL_JFCJOBSCHEDULE_DIALOG_UNIT_DAY: "日",
    LABEL_JFCJOBSCHEDULE_DIALOG_UNIT_MONTH: "月",
    LABEL_JFCJOBSCHEDULE_DIALOG_UNIT_DOW: "曜日",
    LABEL_JFCJOBSCHEDULE_DIALOG_UNIT_YEAR: "年",
    LABEL_JFCJOBSCHEDULE_DIALOG_TITLE_HOUR: "時刻(時)",
    LABEL_JFCJOBSCHEDULE_DIALOG_INTERVAL_1: "から",
    LABEL_JFCJOBSCHEDULE_DIALOG_INTERVAL_2: "おき",
    LABEL_JFCJOBSCHEDULE_DIALOG_DURATION_1: " 〜 ",
    LABEL_JFCJOBSCHEDULE_DIALOG_OPT_LAST: "最終",
    LABEL_JFCJOBSCHEDULE_DIALOG_DOW_1: "日",
    LABEL_JFCJOBSCHEDULE_DIALOG_DOW_2: "月",
    LABEL_JFCJOBSCHEDULE_DIALOG_DOW_3: "火",
    LABEL_JFCJOBSCHEDULE_DIALOG_DOW_4: "水",
    LABEL_JFCJOBSCHEDULE_DIALOG_DOW_5: "木",
    LABEL_JFCJOBSCHEDULE_DIALOG_DOW_6: "金",
    LABEL_JFCJOBSCHEDULE_DIALOG_DOW_7: "土",

    // jfcgroupnode
    LABEL_JFCGROUPNODE_UNSETGROUP: "未設定グループ",
    LABEL_JFCGROUPNODE_GROUP_HIERARCHY_TAB: "グループ階層図",
    LABEL_JFCGROUPNODE_SEARCH_TAB: "検索",
    CONFIRM_MSG_SAVE_GROUP_HIERARCHY: "グループ階層を保存しますか?",

	DUMMY: ""
  },

  en: true,
  'en-us': true,
  ja: true,
  'ja-jp': true,
  'zh-tw': true,
});
